package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class OwnedBuildingDoc extends DynamoDBDocBase {
    private String ownedBuildingAttrib;

    public String getAttribFieldName() {
        return "OwnedBuildingAttrib";
    }

    @DynamoDbAttribute("OwnedBuildingAttrib")
    @JsonProperty("OwnedBuildingAttrib")
    public String getAttribValue() {
        return ownedBuildingAttrib;
    }

    public void setAttribValue(String value) {
        this.ownedBuildingAttrib = value;
    }
}

